TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Apply ( func f, list A ) -> list r

### Description

<shortdoc> Apply 'f' to every member of `A' and replace the entry by the corresponding return value.
Note: The previous contents of `l' will be lost. </shortdoc>

### Examples

l:=[1,2,3,4]; Apply(i->3*i,l); l;
l:=[1,2,3,4]; Apply(IsEven,l); l;

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack